Bug 229901 - devel/py-icalendar: Update to 4.0.3
Summary: devel/py-icalendar: Update to 4.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://github.com/collective/icalend...
Keywords:
Depends on:
Blocks: 227867
  Show dependency treegraph
 
Reported: 2018-07-20 07:00 UTC by Kai Knoblich
Modified: 2019-01-11 12:39 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (jun-g)


Attachments
py-icalendar-4.0.2.patch (1.94 KB, patch)
2018-07-20 07:00 UTC, Kai Knoblich
no flags Details | Diff
py-icalendar-4.0.3.patch (2.07 KB, patch)
2018-12-26 18:17 UTC, Kai Knoblich
kai: maintainer-approval? (jun-g)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-07-20 07:00:36 UTC
Created attachment 195295 [details]
py-icalendar-4.0.2.patch

Hello,

attached is the patch that updates devel/py-icalendar to 4.0.2 .

Changes by upstream:
- https://github.com/collective/icalendar/compare/3.11.7...4.0.2

Changes to the port:
- added files/patch-src_icalendar_cli.py to print usage information when no arguments were given (Python 3)


QA:
~~~
- poudriere (10.4-, 11.1-, 11.2-RELEASE, 12.0-CURRENT @r336303 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 1 Andreas Bilke 2018-12-26 14:39:36 UTC
There is already a version 4.0.3. The newer version would be required by "desktuils/py-todoman" (Bug ID #227867).
Comment 2 Kai Knoblich freebsd_committer 2018-12-26 18:17:32 UTC
Created attachment 200533 [details]
py-icalendar-4.0.3.patch

Updated the patch for the latest release (= 4.0.3) of devel/py-icalendar.

QA:
~~~
- poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT @r341993 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Results of make test (for both py27 + py36 flavors):
> Ran 95 tests in 0.798s
>
> OK (expected failures=1)
Comment 3 Kai Knoblich freebsd_committer 2018-12-26 18:22:57 UTC
(In reply to Andreas Bilke from comment #1)

Thank you for the head-up. I updated the patch for the latest version of devel/py-icalendar and set this PR as a dependency for bug #227867.
Comment 4 commit-hook freebsd_committer 2019-01-11 12:39:31 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 12:39:24 UTC 2019
New revision: 489954
URL: https://svnweb.freebsd.org/changeset/ports/489954

Log:
  - Update to 4.0.3

  Changes by upstream:
  https://github.com/collective/icalendar/compare/3.11.7...4.0.3

  PR:		229901
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer timeout

Changes:
  head/devel/py-icalendar/Makefile
  head/devel/py-icalendar/distinfo
  head/devel/py-icalendar/files/
  head/devel/py-icalendar/files/patch-src_icalendar_cli.py